Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxcell
Class ChartData

    java.lang.Object
      Obj
          com.jxcell.ChartData

public class ChartData
extends Obj

this is chart's datasource

See Also:
  Serialized Form

Constructor Summary
`ChartData()` construct
`ChartData(boolean sample)` default sample chart data
`ChartData(int row, int col)` initial values

Method Summary
`void` | `clear()` clear value
`void` | `copy(ChartData chartdata)`
`void` | `deleteCol(int colindex)` delete col at index
`void` | `deleteRow(int rowindex)` delete row at index
`boolean` | `equals(ChartData chartdata)` compare two chartdata
`int` | `getColSize()` return col size
`Value[]` | `getData(int row)` return rows data
`Value` | `getData(int row, int col)` return value at special rowindex and colindex
`java.lang.String` | `getLink(int row, int col)` return link url at special row and col
`int` | `getRowSize()` get row size
`Value` | `getValue(int row, int col)` return value at special row and col
`void` | `insertCol(java.lang.String text, int colindex)` insert col at index and set it's header lable
`void` | `insertRow(java.lang.String text, int rowindex)` insert one row at index and set it's header lable
`void` | `setDataSize(int row, int col)` set the data table's row and col size
`void` | `setLink(int row, int col, java.lang.String link)` set link url at special row and col
`void` | `setNumber(int row, int col, double num)` set number value at special row and col
`void` | `setText(int row, int col, java.lang.String text)` set text at special row and col
`java.lang.String` | `toString()` return data with cvs format

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ChartData

    public ChartData()

  construct

### ChartData

    public ChartData(boolean sample)

  default sample chart data

Parameters:
  `sample` -

### ChartData

    public ChartData(int row,
                     int col)

  initial values

Parameters:
  `row` - row size
  `col` - col size

Method Detail

### clear

    public void clear()

  clear value

### copy

    public void copy(ChartData chartdata)

### equals

    public boolean equals(ChartData chartdata)

  compare two chartdata

  Parameters:
    `chartdata` - data
  Returns:
    true if same data

### getColSize

    public int getColSize()

  return col size

  Returns:
    col size

### getData

    public Value[] getData(int row)

  return rows data

  Parameters:
    `row` - row index
  Returns:
    row data

### getData

    public Value getData(int row,
                         int col)

  return value at special rowindex and colindex

  Parameters:
    `row` - row index
    `col` - col index
  Returns:
    special value

### getRowSize

    public int getRowSize()

  get row size

  Returns:
    row size

### getValue

    public Value getValue(int row,
                          int col)

  return value at special row and col

  Parameters:
    `row` - row index
    `col` - col index
  Returns:
    value at special row and col

### setDataSize

    public void setDataSize(int row,
                            int col)

  set the data table's row and col size

  Parameters:
    `row` - rowsize
    `col` - colsize

### setText

    public void setText(int row,
                        int col,
                        java.lang.String text)

  set text at special row and col

  Parameters:
    `row` - row index
    `col` - col index
    `text` - lable

### setNumber

    public void setNumber(int row,
                          int col,
                          double num)

  set number value at special row and col

  Parameters:
    `row` - row index
    `col` - col index
    `num` - number value

### setLink

    public void setLink(int row,
                        int col,
                        java.lang.String link)

  set link url at special row and col

  Parameters:
    `row` - row index
    `col` - col index
    `link` - url

### getLink

    public java.lang.String getLink(int row,
                                    int col)

  return link url at special row and col

  Parameters:
    `row` - row index
    `col` - col index
  Returns:
    link url

### insertRow

    public void insertRow(java.lang.String text,
                          int rowindex)

  insert one row at index and set it's header lable

  Parameters:
    `text` - the new insert row's header lable
    `rowindex` - insert row at special index

### insertCol

    public void insertCol(java.lang.String text,
                          int colindex)

  insert col at index and set it's header lable

  Parameters:
    `text` - the new insert col's header lable
    `colindex` - insert col at special col

### deleteRow

    public void deleteRow(int rowindex)

  delete row at index

  Parameters:
    `rowindex` - the row index

### deleteCol

    public void deleteCol(int colindex)

  delete col at index

  Parameters:
    `colindex` - the col index

### toString

    public java.lang.String toString()

  return data with cvs format

  Returns:
    string in cvs format

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD